Support Article

Methods missing from eForms API – not backward compatible

SA-39293

Summary



The EFormUtils public API is not backward compatible. All of the "generatePopulatedEForm" method signatures have been replaced with new ones that have extra arguments, instead of being overloaded.


Error Messages



Not Applicable

Steps to Reproduce



Use EFormUtils public api call.

Root Cause

A backwards compatibility defect in Pegasystems’ code or rules. Pre-existing methods of EformUtils were removed.


Resolution



Apply HFix-34973.

Published June 12, 2017 - Updated July 27, 2017

Have a question? Get answers now.

Visit the Collaboration Center to ask questions, engage in discussions, share ideas, and help others.